> ## Documentation Index
> Fetch the complete documentation index at: https://mcp.theoryofevolution.com.au/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a Media Image by ID

> ## Delete a Media Image by ID ##

Using a specific Media ID delete the image associated.

**Warning**: This removes the file from the filesystem entirely.



## OpenAPI

````yaml /openapi/website-travel-supplier-api.mintlify.json delete /{supplierapi}/media/{mediaId}
openapi: 3.0.0
info:
  title: Website Travel Supplier API
  version: 0.0.0
  description: >-
    Supplier-facing Website Travel API for authentication, products, media,
    cancellation policies, and vouchers.
servers: []
security: []
tags:
  - name: Version 1
    description: Version 1
  - name: Media
    description: Media
  - name: Packages
    description: Packages
  - name: Booking Details
    description: Booking Details
  - name: Product Prices
    description: Product Prices
  - name: Products
    description: Products
  - name: Vouchers
    description: Vouchers
paths:
  /{supplierapi}/media/{mediaId}:
    delete:
      tags:
        - Version 1
        - Media
      summary: Delete a Media Image by ID
      description: |-
        ## Delete a Media Image by ID ##

        Using a specific Media ID delete the image associated.

        **Warning**: This removes the file from the filesystem entirely.
      operationId: delete_delete_media
      parameters:
        - name: supplierapi
          in: path
          required: true
          schema:
            type: string
            pattern: supplier|apiv1/supplier
        - name: mediaId
          in: path
          required: true
          schema:
            type: string
      responses:
        '204':
          description: Returned when successful.
        '400':
          description: Returned when image is still in use by a Product.
        '403':
          description: Returned when you do not have access to the requested Image.
        '404':
          description: Returned when Image not found.
        '500':
          description: Internal error.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.